## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _appid net.sourceforge.kmidimon

Name:           kmidimon
Version:        1.4.0
Release:        %autorelease
License:        GPL-2.0-or-later
Summary:        Drumstick MIDI monitor
URL:            https://kmidimon.sourceforge.net
Source:         https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake >= 3.16
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  pandoc

BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(drumstick-alsa) >= 2.9

%description
Drumstick MIDI Monitor monitors events coming from MIDI external ports or
applications via the ALSA sequencer, and from SMF (Standard MIDI files) or
WRK (Cakewalk/Sonar) files. It is especially useful if you want to debug MIDI
software or your MIDI setup. It features a nice graphical user interface,
customizable event filters and sequencer parameters, support for MIDI and ALSA
messages, and saving the recorded event list to a SMF or text file.

%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install

%find_lang %{name} --with-man --with-qt


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{_appid}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{_appid}.metainfo.xml


%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{_appid}.desktop
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*.ins
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/%{_appid}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Feb 27 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 1.4.0-1
- 1.4.0

* Tue Feb 27 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 1.3.1-1
- Initial import
## END: Generated by rpmautospec
